Vagrant.require_version '>=2.2.10'

Vagrant.configure('2') do |config|

  #SSH
  config.ssh.forward_agent = true
  config.ssh.insert_key = false
  config.ssh.extra_args = ['-q']
  config.ssh.forward_env = ['WORKDIR']

  # VMS
  config.vm.define "ansible" do |ansible|
        ansible.vm.hostname = 'ansible.workshop'
		ansible.vm.provision "shell",
			inline: "apt update && apt install -y ansible"
        ansible.vm.network 'private_network', ip: '10.20.30.10'
  end
  
  config.vm.define "node_01" do |node_01|
        node_01.vm.hostname = 'node-01.workshop'
        node_01.vm.network 'private_network', ip: '10.20.30.11'
  end
  
  config.vm.define "node_02" do |node_02|
        node_02.vm.hostname = 'node-02.workshop'
        node_02.vm.network 'private_network', ip: '10.20.30.12'
  end
  
  config.vm.define "node_03" do |node_03|
        node_03.vm.hostname = 'node-03.workshop'
        node_03.vm.network 'private_network', ip: '10.20.30.13'
  end

  config.vm.box = 'bento/debian-10'
  config.vbguest.auto_update = false
  
  #SSH keys
  config.vm.provision "file", source: "c:/Users/dylan/.ssh/id_ed25519.pub", destination: "~/.ssh/me.pub"
  config.vm.provision "shell", inline: <<-SHELL
	cat /home/vagrant/.ssh/me.pub >> /home/vagrant/.ssh/authorized_keys
	SHELL

  #VM - Virtualbox
  config.vm.provider 'virtualbox'
  config.vm.provider :virtualbox do |virtualbox|
     virtualbox.memory = 512
     virtualbox.cpus = 1
     virtualbox.customize ['modifyvm', :id, '--natdnshostresolver1', 'on']
  end
end
